<?php
/*
Plugin Name: SingleZitat
Plugin URI: http://www.singlezone.de/singlezitat/
Description: Versione italiana con 100 vantaggio di essere single. Places a random advantage of being single in your blog. Just insert [singlezitat] where you want to have them displayed, for example as a text widget in the sidebar

Version: 0.9
Author: SingleZone.de
Author URI: http://www.singlezone.de/
*/

function get_quote()
{
	$file_path = "zitate.txt";
	$zitate = (ABSPATH . "wp-content/plugins/singlezitat/" . $file_path);
	{
			$linesize = file("$zitate");
			$ein_zitat = rand(0, sizeof($linesize)-1);
			$quote = "<i>".$linesize[$ein_zitat] . "</i>";                   
	}
	$quote .= '<br/><span style="font-size: xx-small;">Powered by <a title="Sito per i single italiani" href="http://www.zonasingle.it/">ZonaSingle.it</a></span>';
	return $quote;
}


function singlezitat ($content = '') 
{
	$quote = get_quote();
	$content = str_replace("[singlezitat]",$quote,$content);
	return $content;
}

function singlezitat_init()
{
	function singlezitat_widget($args)
	{
		echo $before_widget;
		echo $before_title;
		echo "<h3>Vorteil als Single</h3>";
		echo $after_title;
		echo get_quote();
		echo $after_widget;
	}

	function replace_widget_text($text)
	{
		$quote = get_quote();
		$text = str_replace("[singlezitat]",$quote,$text);
		return $text;
	}

	add_filter('widget_text','replace_widget_text');
	add_filter('widget_title','replace_widget_text');

	wp_register_sidebar_widget(
		'singlezitat',				// ID
		'Singlezitat',				// Title
		'singlezitat_widget',		// call back
		array('description' =>		// option: description
			'Stellt einen Vorteil als Single dar'));	// 
}


add_filter('the_content','singlezitat');
add_action('init','singlezitat_init');

?>
